gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gnome.RestartStyleGType)) The various ways in which the session manager can restart a client. Set by calling .
- Field
  2.24.0.0
  Gnome.RestartStyle Restart even if the client was exited before the user logged out of the previous session.
- Field
  2.24.0.0
  Gnome.RestartStyle Restart if the client was running when the previous session exited.
- Field
  2.24.0.0
  Gnome.RestartStyle Restart the client immediately whenever it crashes or exits.
- Field
  2.24.0.0
  Gnome.RestartStyle Do not restart the client.